#ifndef SIGLIB_H
#define SIGLIB_H

#define _POSIX_C_SOURCE 200112L

#include <signal.h>
#include "error.h"
#include <unistd.h>

#define SIGSTART SIGUSR1
#define SIGEND SIGUSR2

void addSignalHandler(void (*changeViewFlag)());
void blockSignal();
void waitForSignal();
void sendStartSignal(int pid);
void sendFinishSignal(int pid);

#endif
